Filewatcher File Search File Search
Content Search
» » » » »


Ruby interface to libxml (dependency package)

libxml-ruby is a Ruby interface for processing XML. It supports XPath, XPointer, and other features. Internally, it uses libxml and libxslt.

This is a dependency package which depends on Debian's default Ruby version (currently 1.8.x).

Package version:1.1.3-2


= LibXML Ruby

== Overview
The libxml gem provides Ruby language bindings for GNOME's Libxml2
XML toolkit. It is free software, released under the MIT License.

We think libxml-ruby is the best XML library for Ruby because:

* Speed - Its much faster than REXML and Hpricot
* Features - It provides an amazing number of featues
* Conformance - It passes all 1800+ tests from the OASIS XML T


libxml-ruby (1.1.3-2) unstable; urgency=low

  * Upload including Ruby 1.9.1 support.
  * debian/control:
    - Bumped standards version to 3.8.4; no changes required.
    - Added a package entry for libxml-ruby1.9.1.
    - Added ruby1.9.1 and ruby1.9.1-dev to the build depends.

 -- Paul van Tilburg <>  Sun, 14 Feb 2010 14:37:46 +0100

libxml-ruby (1.1.3-1) unstable; urgency=low



== 1.1.3 / 2009-03-18 Charlie Savage

* Improve performance 10 to 20% by turning on libxml2's dictionary
  feature that allows parsers to reuse previously parsed strings.

* Fix XML::Node#remove! to work correctly with libxml's dictionary feature.

* Correctly set up parser context options.

* Simplify DOM modification code (Node#next=, Node#prev=, Node#sibling=) and
  update documenation.

* Depr


This package was debianized by Filipe Lautert <> on
Wed,  1 Nov 2006 16:33:26 -030

Browse inside libxml-ruby_1.1.3-2_all.deb

         [DIR]DEBIAN/ (2)  65535+ mirrors
         [DIR]usr/ (1)  65535+ mirrors

Download libxml-ruby_1.1.3-2_all.deb

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2016